From 697cdc26ba673e10a531466a0334ca87ee2bbb33 Mon Sep 17 00:00:00 2001
From: Sughosh Ganu <sughosh.ganu@linaro.org>
Date: Sat, 26 Aug 2023 13:42:45 +0530
Subject: [PATCH 4/7] capsule: Add the signature node for removal from
 devicetree

The capsule-key property contains the public key in the form of an EFI
Signature List(ESL) structure. This property is relevant only in
U-Boot, and is not to be passed to the OS. Register for purging this
property by purging the parent signature node from the devicetree,
before passing it to the OS.

Signed-off-by: Sughosh Ganu <sughosh.ganu@linaro.org>
---

Upstream-Status: Pending

 lib/dt_purge.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lib/dt_purge.c b/lib/dt_purge.c
index d756d159ef..3b7591b711 100644
--- a/lib/dt_purge.c
+++ b/lib/dt_purge.c
@@ -76,4 +76,5 @@ EVENT_SPY(EVT_DT_NODE_PROP_PURGE, dt_non_compliant_purge);
 DT_NON_COMPLIANT_PURGE_LIST(purge_list) = {
 	{ .node_path	= "/fwu-mdata" },
 	{ .node_path	= "/firmware/fwu-mdata" },
+	{ .node_path = "/signature" },
 };
-- 
2.34.1

